%define typescript_version     4.1.3
%if "%{?dist}" == ".el7"
%define nodejs_version         14.15.1
%define nodejs_next_version    15.0.0
%define usrDir                 usr
%else
%define nodejs_version         1:14.15.4
%define nodejs_next_version    1:15.0.0
%define usrDir                 usr/local
%endif
%define instDir                /%{usrDir}/lib


Name:       oci-typescript-sdk		
Version:	2.3.0
Release: 1%{?dist}
Group:		Oracle Cloud Infrastructure
Summary:    Oracle Cloud Infrastructure SDK for Typescript and JavaScript
License:	UPL 1.0 and Apache 2.0 
URL:		https://github.com/oracle/oci-typescript-sdk
Source0:	%{name}-%{version}.tar.bz2
Patch0:     tsconfig.json.patch
Buildarch:  noarch
AutoReq:    no

BuildRequires:	nodejs >= %{nodejs_version} 
BuildRequires:	nodejs < %{nodejs_next_version} 
Requires:	nodejs >= %{nodejs_version} 
Requires:	nodejs < %{nodejs_next_version} 
Requires:	typescript >= %{typescript_version} 


%description
The oci-typescript-sdk provides Oracle Cloud Infrastructure SDK for Typescript and Javascript 
that you can use to manage your Oracle Cloud Infrastructure resources.
 
%prep
%setup -q -n %{name}-%{version}

%build
unset https_proxy
unset http_proxy
npm config set registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm config set @types:registry "https://artifactory.oci.oraclecorp.com/api/npm/global-release-npm"
npm cache clean --force
npm config set prefix ./global 
npm install oci-sdk@%{version} -g

%check 
#make unit-ttest

%install
mkdir -p %{buildroot}/%{usrDir}
cp -rf  global/lib %{buildroot}/%{usrDir}

%files
%{instDir}/node_modules/*
%doc *.txt *.md examples/


%changelog
* Tue Sep 07 2021 EL Errata <el-errata_ww@oracle.com> 2.3.0-1
- Update to 2.3.0

* Tue Aug 31 2021 EL Errata <el-errata_ww@oracle.com> 2.2.2-1
- Update to 2.2.2

* Tue Aug 24 2021 EL Errata <el-errata_ww@oracle.com> 2.2.1-1
- Update to 2.2.1

* Tue Aug 17 2021 EL Errata <el-errata_ww@oracle.com> 2.2.0-1
- Update to 2.2.0

* Tue Aug 03 2021 EL Errata <el-errata_ww@oracle.com> 2.1.0-1
- Update to 2.1.0

* Tue Jul 27 2021 EL Errata <el-errata_ww@oracle.com> 2.0.1-1
- Update to 2.0.1

* Tue Jul 20 2021 EL Errata <el-errata_ww@oracle.com> 2.0.0-1
- Update to 2.0.0

* Tue Jul 13 2021 EL Errata <el-errata_ww@oracle.com> 1.23.0-1
- Update to 1.23.0

* Tue Jul 06 2021 EL Errata <el-errata_ww@oracle.com> 1.22.1-1
- Update to 1.22.1

* Tue Jun 29 2021 EL Errata <el-errata_ww@oracle.com> 1.22.0-1
- Update to 1.22.0

* Tue Jun 22 2021 EL Errata <el-errata_ww@oracle.com> 1.21.1-1
- Update to 1.21.1

* Tue Jun 15 2021 EL Errata <el-errata_ww@oracle.com> 1.21.0-1
- Update to 1.21.0

* Tue Jun 08 2021 EL Errata <el-errata_ww@oracle.com> 1.20.2-1
- Update to 1.20.2

* Tue Jun 01 2021 EL Errata <el-errata_ww@oracle.com> 1.20.1-1
- Update to 1.20.1

* Tue May 25 2021 EL Errata <el-errata_ww@oracle.com> 1.20.0-1
- Update to 1.20.0

* Tue May 18 2021 EL Errata <el-errata_ww@oracle.com> 1.19.5-1
- Update to 1.19.5

* Tue May 11 2021 EL Errata <el-errata_ww@oracle.com> 1.19.4-1
- Update to 1.19.4

* Tue May 04 2021 EL Errata <el-errata_ww@oracle.com> 1.19.3-1
- Update to 1.19.3

* Tue Apr 27 2021 EL Errata <el-errata_ww@oracle.com> 1.19.2-1
- Update to 1.19.2

* Tue Apr 20 2021 EL Errata <el-errata_ww@oracle.com> 1.19.1-1
- Update to 1.19.1

* Tue Apr 13 2021 EL Errata <el-errata_ww@oracle.com> 1.19.0-1
- Update to 1.19.0

* Tue Apr 06 2021 EL Errata <el-errata_ww@oracle.com> 1.18.1-1
- Update to 1.18.1

* Tue Mar 30 2021 EL Errata <el-errata_ww@oracle.com> 1.18.0-1
- Update to 1.18.0

* Tue Mar 23 2021 EL Errata <el-errata_ww@oracle.com> 1.17.0-1
- Update to 1.17.0

* Tue Mar 16 2021 EL Errata <el-errata_ww@oracle.com> 1.16.2-1
- Update to 1.16.2

* Tue Mar 09 2021 EL Errata <el-errata_ww@oracle.com> 1.16.1-1
- Update to 1.16.1

* Tue Mar 02 2021 EL Errata <el-errata_ww@oracle.com> 1.16.0-1
- Update to 1.16.0

* Tue Feb 23 2021 EL Errata <el-errata_ww@oracle.com> 1.15.2-1
- Update to 1.15.2

* Wed Feb 17 2021 EL Errata <el-errata_ww@oracle.com> 1.15.1-1
- Update to 1.15.1

* Tue Feb 02 2021 EL Errata <el-errata_ww@oracle.com> 1.14.0-1
- Update to 1.14.0

* Tue Jan 26 2021 EL Errata <el-errata_ww@oracle.com> 1.13.0-1
- Update to 1.13.0

* Tue Jan 19 2021 EL Errata <el-errata_ww@oracle.com> 1.12.0-1
- Update to 1.12.0

* Tue Jan 12 2021 EL Errata <el-errata_ww@oracle.com> 1.11.0-1
- Update to 1.11.0

* Tue Dec 15 2020 EL Errata <el-errata_ww@oracle.com> 1.10.0-1
- Update to 1.10.0

* Tue Dec 08 2020 EL Errata <el-errata_ww@oracle.com> 1.9.1-1
- Update to 1.9.1

* Tue Dec 01 2020 EL Errata <el-errata_ww@oracle.com> 1.9.0-1
- Update to 1.9.0

* Tue Nov 17 2020 EL Errata <el-errata_ww@oracle.com> 1.8.0-1
- Update to 1.8.0

* Mon Nov 16 2020 Qing Lin <qing.lin@oracle.com> 1.7.0-1.0.1
- Change the dependencies on nodejs to equal 10.15.3

* Tue Nov 03 2020 EL Errata <el-errata_ww@oracle.com> 1.6.3-1
- Update to 1.6.3

* Tue Oct 27 2020 EL Errata <el-errata_ww@oracle.com> 1.6.2-1
- Update to 1.6.2

* Thu Oct 22 2020 Alan Steinberg <alan.steinberg@oracle.com> - 1.6.1
- Update to 1.6.1 for Oracle build

* Wed Oct 14 2020 Qing Lin <qing.lin@oracle.com> - 1.6.0
- Initial RPM release. 

* Fri Sep 11 2020 Qing Lin <qing.lin@oracle.com> - 1.5.6
- Initial build. Pack it from npm. 

